Function
assignSource
Assigns the source to a new value.
assignSource(object, source_in)
Include Headers
seqan/align.h
Parameters

object | An object. Types: Gaps
source_in | An object that is assigned to the source of object.

Remarks
Note: source_in is not the new source of object, but source_in is assigned (copied) to source(object). That means that the current source of object is modified by this function. If you want object to drop its current source and take another object as source, use setSource instead.
If no begin_pos and end_pos are specified, the whole source will be used.
This function does not change whether object is dependent or not.
The source of object must not be empty for executing this function.
See Also
dependentSource, source, moveSource, emptySource, assign, setSource
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46